;****************************************
;interrupt 0&1 handler
;****************************************
;low edge INT0 = PD2
L_edge:
	in	r4,sreg		
	push	r4
	;indi
	sbi	portb,INDI_L
	ldi	r24,5
L_edgeLOOP:
	;signal ber 5 zyklen stabil ?
	sbic	pind,s_low
	rjmp	L_edgeRETI
	dec		r24
	tst		r24
	breq	L_edgeOK
	rjmp	L_edgeLOOP
	;zero-detect...
L_edgeOK:
	;zero-flag set
	lds	r24,0x60
	sbr	r24,1<<zeroX
	sts	0x60,r24
	;
	;indi
	cbi	portb,INDI_L
L_edgeRETI:
	pop		r4
	out	    sreg,r4	
	reti

;----------------------------------------

;high edge INT1 = PD3
H_edge:
	in	r4,sreg		
	push	r4
	;indi
	sbi	portb,INDI_H
	ldi	r24,5
H_edgeLOOP:
	;signal ber 5 zyklen stabil ?
	sbis	pind,s_high
	rjmp	H_edgeRETI
	dec		r24
	tst		r24
	breq	H_edgeOK
	rjmp	H_edgeLOOP
	;zero-detect...
H_edgeOK:
	;zero-flag set
	lds	r24,0x60
	sbr	r24,1<<zeroX
	sts	0x60,r24
	;
	;indi
	cbi	portb,INDI_H

H_edgeRETI:
	pop		r4
	out	    sreg,r4
	reti