;**********************************************
;key-unitII / 20ms time-base fr key abfragen
;			  standard slot-time fr rc5-codes
;**********************************************
;noch reduzieren & testen !!!


;0x75 = 1ms-flags
;0x76 = 10ms-flags
;0x77 = 20ms-flags
;0x78 = 100ms-flags
;0x79 =	1s-flags
;Group == A-flags

;flags
;0x77
;.equ	flag20msA	=	0
;
;flags
;0x73
;.equ	aktiv		=	0
;.equ	soft_up		=	1
;.equ	soft_dw		=	2
;.equ	auto_off	=	3
;
;flags
;0x74
;.equ	short_key	=	0
;.equ	long_up		=	1
;.equ	key_good	=	2
;.equ	prog		=	3
;
;
key_dec:
	;rc5 flags laden
	lds	r18,0x86
	sbrs	r18,complete
	rjmp	key_decGO
	;
	;-> aktuelle rc5-daten ???
	;-> rc5 hat vorrang !!!
	;0x86 =	rc5-decFLAG
	;0x89 = rc5 adresse
	;0x8a =	rc5 daten
	;0x8b = rc5 daten old (inkl.toggle)
	;flags
	;0x86
	;.equ	complete	=	0
	;.equ	toggle		=	1
	;.equ	toggleGLOBE	=	2
	;
	;
	;...ja!
	;rc5-daten
		;codes
		;48  = on/off (pause)
		;0-9 = numerik
		;16  = up (+)
		;17  = dw (-)
		;54  = prog (stop)
		;
	;zuerst alt/neu vergleich
	lds	r17,0x8a ;aktuell (neu)
	lds	r19,0x8b ;zuletzt (alt inkl. toggle)
	sbrs	r18,toggle
	rjmp	_logoTO
	mov		r20,r17			;aktuelle rc5 daten zur bearbeitung nach r20
	sbr		r20,1<<7			;integriere toggle-bit als msb !
	cp		r20,r19			;vergleiche letzte mit aktueller kopie
	brne	_OKto	
	sbr		r18,1<<toggleGLOBE			
	rjmp	rc5_decX			;bedeutet selbe taste noch immer gedrckt <=> wird nur einmal akzeptiert !!!
		
_OKto:	
	mov		r19,r20			;gltige daten !!! kopiere nach r19 (daten-kopie) inkl. toggle-bit!
	sts		0x8b,r19		;sichere daten-kopie nach 0x8b
	cbr		r18,1<<toggleGLOBE
	rjmp	rc5_decX		;und weiter decodieren !
	
_logoTO:
	mov		r20,r17			;aktuelle rc5 daten zur bearbeitung nach r20
	cbr		r20,1<<7			;integriere toggle-bit als msb !
	cp		r20,r19		
		;vergleiche letzte mit aktueller kopie

	brne	_OKto				
	sbr		r18,1<<toggleGLOBE	;bedeutet selbe taste noch immer gedrckt <=> wird nur einmal akzeptiert !!!
	;
	;teste auf plausible rc5 codes...
rc5_decX:	
	lds	r16,0x74
	;
	cpi	r17,48
	breq	rc5_onoff
	cpi	r17,16
	breq	rc5_up
	cpi	r17,17
	breq	rc5_dw
	cpi	r17,54
	brne	rc5_inCO
	sbr	r16,1<<prog	;programmiermode
	sts	0x74,r16
	rjmp	rc5_backX
	;
rc5_inCO:
	;nichts dabei ?
	;dann luft vielleicht die programmierfunktion
	sbrc	r16,prog
	rjmp	rc5_prog
	rjmp	rc5_backX
	;

;**************************************************

	;rc5_onoff
	;-> WICHTIG: langen tastendruck ignorieren (toggleGLOBE)
rc5_onoff:
	;toggleGLOBE?? (0= erstmalig 1= wiederholt
	sbrs	r18,toggleGLOBE
	rjmp	rc5_onoffGO
	rjmp	rc5_backX
rc5_onoffGO:
	cbr		r18,1<<complete
	sts		0x86,r18
	;	
	lds	r18,0x73
	lds	r17,0x74
	rjmp	short_function

;**************************************************

	;rc5_up
rc5_up:
	;lade phasecut-sollwert
	lds		r21,0x61
	;lade	soft-flags
	lds		r20,0x73
	;nicht aktiv???
	sbrs	r20,aktiv
	rjmp	rc5_backX
	;
	;soll >= max
	cpi		r21,182
	brsh	rc5_backXX
	inc		r21
	rjmp	rc5_varSV
rc5_backXX:
	rjmp	rc5_backX

;**************************************************
	;rc5_dw
rc5_dw:
	;lade phasecut-sollwert
	lds		r21,0x61
	;lade	soft-flags
	lds		r20,0x73
	;nicht aktiv???
	sbrs	r20,aktiv
	rjmp	rc5_backX
	;
	cpi		r21,10	;unteres limit
	breq	rc5_backXX
	dec		r21
	rjmp	rc5_varSV	
	;
rc5_varSV:
	sts		0x61,r21
	sts		0x62,r21 ;phase-sollwert-backup
	rjmp	rc5_backX


;**************************************************
;**************************************************
;**************************************************
	;rc5_prog
	;<0>,<9>,<funktion0-9>+<parameter 8/16-bit>..
	;abbruch = <prog>...
	;;-> WICHTIG: langen tastendruck ignorieren (toggleGLOBE)
	;falscheingabe == abbruch !!!!
rc5_prog:
	;toggleGLOBE?? (0= erstmalig 1= wiederholt
	sbrs	r18,toggleGLOBE
	rjmp	rc5_progGO
	rjmp	rc5_backX
rc5_progGO:
	lds	r20,0x8f
	lds	r21,0x90
	;prozess-counter laden & fortschritt der aktion prfen
	;;0x8c = programmier-prozesscounter
	lds	r19,0x8c
	tst	r19
	breq	rc5_stepA	;<0>?
	cpi	r19,1
	breq	rc5_stepB	;<9>?
	cpi	r19,2
	breq	rc5_stepC	;funktion <0>..<2>
	cpi	r19,3
	breq	rc5_stepDx	;10000er-stelle parameter (16-bit)
	cpi	r19,4
	breq	rc5_stepEx	;1000er-""""""""""""""""""""""""""
	cpi	r19,5
	breq	rc5_stepFx	;100er-"""""""""""""""""""(8/16-bit)
	cpi	r19,6
	breq	rc5_stepGx	;10er-""""""""""""""""""""""""""""
	cpi	r19,7
	breq	rc5_stepHx	;1er-"""""""""""""""""""""""""""""
	cpi	r19,8		;evtl 2tes nibble ins e2prom
	breq	rc5_stepIx
	;
	rjmp	rc5_progINVALID	
	;
	rc5_stepEx:
	rjmp	rc5_stepE
	rc5_stepFx:
	rjmp	rc5_stepF
	rc5_stepGx:
	rjmp	rc5_stepG
	rc5_stepHx:
	rjmp	rc5_stepH
	rc5_stepDx:
	rjmp	rc5_stepD
	rc5_stepIx:
	rjmp	rc5_stepI

	;
	rc5_progINVALIDx:
	rjmp	rc5_progINVALID
	;/<0>-eingabe ???
rc5_stepA:
	tst	r17
	brne	rc5_progINVALIDx
	inc	r19 ;ok - nchster schritt
	sts	0x8c,r19
	rjmp	rc5_backX
	;
	;//<9>-eingabe ???
rc5_stepB:
	cpi	r17,9
	brne	rc5_progINVALIDx
	inc	r19 ;ok - nchster schritt
	sts	0x8c,r19
	rjmp	rc5_backX
	;
	;///<x-funktion>
rc5_stepC:
	;parameter auf 0...
	clr	r20
	sts	0x8f,r20
	sts	0x90,r20
	;
	tst	r17
	breq	set_softupTIME	;0 == funktion softupTIME (8bit)
	cpi	r17,1
	breq	set_softdwTIME  ;1 == """""""""""""dw"""""""""""
	cpi	r17,2
	breq	set_autooffTIME ;2 == """""""""autooffTIME (16bit)
	;weitere funktionen
	;optional...
	rjmp	rc5_progINVALID
	;
	;speicheradressen definieren
	;0x8d =	adresse(L)
	;0x8e = """""""(H)

	set_softupTIME:
	;parameter speicheradresse
	ldi	r20,1
	ldi	r21,0	;-> 0=bedeutet 8-bit
	;nchster programmschritt
	ldi	r19,5
	rjmp	set_funktionBACK

	set_softdwTIME:
	;parameter speicheradresse
	ldi	r20,2
	ldi	r21,0	;-> 0=bedeutet 8-bit
	;nchster programmschritt
	ldi	r19,5
	rjmp	set_funktionBACK


	set_autooffTIME:
	;parameter speicheradresse
	ldi	r20,3
	ldi	r21,4
	;nchster programmschritt
	ldi	r19,3
	rjmp	set_funktionBACK
	;
	set_funktionBACK:
	sts	0x8d,r20
	sts	0x8e,r21
	sts	0x8c,r19
	rjmp	rc5_backX
	;
	;
	;
	;
	;0x8d =	adresse(L)
	;0x8e = """""""(H)

	;0x8f =	parameter(L)
	;0x90 = parameter(H)
	;
	;10000er-stelle parameter (16-bit)
rc5_stepD:
	;nur 0-6 erlaubt
	cpi	r17,7
	brsh	rc5_progINVALIDxx
	;multipliziere
	;x*10000 und speichere parameter
.equ	TTSD	=	10000
	ldi	r22,low(ttsd)
	ldi	r23,high(ttsd)
	rcall	rc5_add
	rjmp	rc5_backX


							;1000er-stelle parameter (16-bit)
					rc5_stepE:
							;nur 0-9 erlaubt
							cpi	r17,10
							brsh	rc5_progINVALIDxx
							;multipliziere
							;x*1000 und speichere parameter
						.equ	TSD	=	1000
							ldi	r22,low(tsd)
							ldi	r23,high(tsd)
							rcall	rc5_add
							rjmp	rc5_backX

				
rc5_progINVALIDxx:
	rjmp	rc5_progINVALID


	;100er-stelle parameter (8/16-bit)
rc5_stepF:
	;nur 0-9 erlaubt
	cpi	r17,10
	brsh	rc5_progINVALID
	;multipliziere
	;x*100 und speichere parameter
.equ	HUN		=	100
	ldi	r22,low(hun)
	ldi	r23,high(hun)
	rcall	rc5_add
	rjmp	rc5_backX



							;10er-stelle parameter (8/16-bit)
					rc5_stepG:
							;nur 0-9 erlaubt
							cpi	r17,10
							brsh	rc5_progINVALID
							;multipliziere
							;x*10 und speichere parameter
						.equ	ZEH	=	10
							ldi	r22,low(zeh)
							ldi	r23,high(zeh)
							rcall	rc5_add
							rjmp	rc5_backX



	;1er-stelle parameter (8/16-bit)
rc5_stepH:
	;nur 0-9 erlaubt
	cpi	r17,10
	brsh	rc5_progINVALID
	clr	r22
	;
	add	r20, r17		;Add low bytes
	adc	r21, r22		;Add high bytes with carry
	;
	;
	;nun an die endgltige 
	;speicheradresse !!!
	;0x8d =	adresse(L)
	;0x8e = """""""(H)

	;0x8f =	parameter(L)
	;0x90 = parameter(H)
	
	lds	r16,0x8d	;adr L
	rcall	_WRe2
	rjmp	rc5_addXret	;...zurck
	

	; rc5-code  0  = zum abschluss
rc5_stepI:
	tst	r17
	brne	rc5_progINVALID
	lds	r16,0x8e	;adr H
	tst	r16
	breq	rc5_progINVALIDy
	lds	r20,0x90	;high parameter
	rcall _WRe2
	;fertig...
rc5_progINVALIDy:
	;nun system warmstart / daten aus e2prom ins sram...
	rjmp	init	;	_readE2p	;sub ist im startup-modul






	;schreibe in's E2prom
	;sub...
_WRe2:
	sbic	eecr,eewe	; EEWE nicht gelscht ?
	rjmp	_WRe2	    ; warte...
	out	eearl,r16		; adressierung e2prom
	out	eedr,r20        ; kopiere ins'e2prom-datenregister 
	sbi	eecr,eemwe	
	sbi	eecr,eewe		;set EEPROM Write strobe
	ret
	;########
	
	;sub
rc5_add:
	tst	r17
	breq	rc5_addXret
	add	r20,r22		;Add low bytes
	adc	r21,r23		;Add high bytes with carry
	dec	r17
	rjmp	rc5_add
rc5_addXret:
	sts	0x8f,r20
	sts	0x90,r21
	inc	r19
	sts	0x8c,r19
	ret




;-----------------------------------

rc5_progINVALID:
	lds	r16,0x74
	cbr	r16,1<<prog
	sts	0x74,r16
	;prozesscounter ==0
	clr	r19
	sts	0x8c,r19
	;-> zurck
rc5_backX:
	cbr	r18,1<<complete
	sts	0x86,r18
	rjmp	key_back	










;---------------------------------------
;---------------------------------------
;---------------------------------------
		
key_decGO:
	;//hier 20ms time-base checken
	lds	r17,0x77
	sbrs	r17,flag20msA
	rjmp	key_back
	;zeitmarke gesetzt...
	;dann sofort lschen und 
	;key-routine abarbeiten
	cbr	r17,1<<flag20msA
	sts	0x77,r17
	;
	lds	r18,0x73
	lds	r17,0x74
	sbrs	r17,key_good
	rjmp	key_press
key_short:
	;key-time soll laden
	lds	r19,0x71
	;key-time ist laden
	lds	r20,0x72
	cp	r19,r20
	breq	long_function
	;key-time-istwert +1
	inc	r20
	sts	0x72,r20
	;wird key innerhalb der key-time
	;losgelassen wird function ausgefhrt
	sbis	pinb,key
	rjmp	key_back
short_function:
	;lade soft-u/d flags

	sbrs	r18,aktiv
	rjmp	short_functionB
	;luft gerade ein soft up/down?
	sbrs	r18,soft_up
	rjmp	short_functionC
	;soft-down einleiten
short_functionD:
	sbr		r18,1<<soft_dw
	cbr		r18,1<<soft_up
	cbr		r17,1<<key_good
	rjmp	function_back
	;
short_functionC:
	sbrs	r18,soft_dw
	rjmp	short_functionD
	;soft-up einleiten
short_functionB:
	sbr		r18,1<<soft_up
	cbr		r18,1<<soft_dw
	cbr		r17,1<<key_good
	rjmp	function_back
	;
	;
	;phasecut-sollwert u/d
long_function:
	
	;lade phasecut-sollwert
	lds		r21,0x61
	sbrs	r17,long_up
	rjmp	long_dw
	;nicht aktiv???
	sbrs	r18,aktiv
	rjmp	long_backA
	;
	;soll >= max
	cpi		r21,182
	brsh	long_backA
	inc		r21
	sts		0x61,r21
	sts		0x62,r21 ;phase-sollwert-backup
	rjmp	long_backA
long_dw:
	;nicht aktiv???
	sbrs	r18,aktiv
	rjmp	long_backB
	;
	cpi		r21,10	;unteres limit
	breq	long_backB
	dec		r21
	sts		0x61,r21
	sts		0x62,r21 ;phase-sollwert-backup
	rjmp	long_backB
long_backA:
	sbis	pinb,key
	rjmp	function_back
	;key nicht mehr gedrckt...
	cbr		r17,1<<key_good
	cbr		r17,1<<long_up
	rjmp	function_back

long_backB:
	sbis	pinb,key
	rjmp	function_back
	;key nicht mehr gedrckt...
	cbr		r17,1<<key_good
	sbr		r17,1<<long_up
	rjmp	function_back
	

	;stabilisiere key-info (5x abtasten)...
key_press:
	ldi	r18,5
key_loop:
	sbic	pinb,key	
	rjmp	key_back
	dec		r18
	tst		r18
	brne	key_loop
	;
	sbr		r17,1<<key_good
	sts		0x74,r17
	;key-time ist auf 0
	clr		r17
	sts		0x72,r17
	rjmp	key_back
	;
function_back:
	sts		0x73,r18
	sts		0x74,r17
key_back:
	ret